## curry-tools 1.0.0+dfsg1

=== CASS/Makefile ===
# Make to generate the Curry Analysis Server System
# Required:
# - installed Curry System (PAKCS or KiCS2) specified by variable REPL
# - root location of the Curry System specified by variable ROOT

# directories
ANADIR = ../analysis

# binary
TOOL   = $(BINDIR)/cass

# Source modules of CASS:
DEPS = *.curry \
       $(LIBDIR)/Distribution.curry $(LIBDIR)/PropertyFile.curry \
       $(LIBDIR)/FlatCurry/*.curry $(LIBDIR)/SCC.curry $(ANADIR)/*.curry

.PHONY: all compile install clean uninstall

all: install

compile: cass_worker cass

install: compile
	rm -f $(TOOL)
	ln -s $(CURDIR)/cass $(TOOL)

clean:
	$(CLEANCURRY) -r
	rm -f cass_worker cass

uninstall: clean
	rm -f $(TOOL)

# generate executable for analysis worker:
cass_worker: $(DEPS)
	$(REPL) $(REPL_OPTS) :set path $(ANADIR) :l AnalysisWorker :save :q
	mv AnalysisWorker $@

# generate executable for analysis server program:
cass: $(DEPS)
	$(REPL) $(REPL_OPTS) :set path $(ANADIR) :l Main :save :q
	mv Main $@

# load the analysis server program into the Curry system:
.PHONY: load
load: $(DEPS)
	$(REPL) $(REPL_OPTS) :set path $(ANADIR) :l AnalysisServer

=== addtypes/Makefile ===
# Makefile for generating AddTypes tool

TOOL = $(BINDIR)/addtypes

.PHONY: all compile install clean uninstall

all: install

compile: AddTypes

install: compile
	rm -f $(TOOL)
	ln -s $(CURDIR)/AddTypes $(TOOL)

clean:
	$(CLEANCURRY)
	rm -f AddTypes

uninstall: clean
	rm -f $(TOOL)

AddTypes: AddTypes.curry $(LIBDIR)/AbstractCurry/*.curry \
	  $(LIBDIR)/List.curry $(LIBDIR)/AllSolutions.curry
	$(REPL) $(REPL_OPTS) :load AddTypes :save :quit

=== browser/Makefile ===
# Makefile for generating Curry Browser

# Required:
# - installed Curry System (PAKCS or KiCS2) specified by variable REPL
# - root location of the Curry System specified by variable ROOT

CURRYTOOLS = ..
CASS       = $(CURRYTOOLS)/CASS
ANADIR     = $(CURRYTOOLS)/analysis

# binary
TOOL       = $(BINDIR)/currybrowse

# source modules of the Curry Browser:
DEPS = BrowserGUI.curry Imports.curry \
       AnalysisTypes.curry BrowserAnalysis.curry \
       ShowFlatCurry.curry ShowGraph.curry \
       $(CASS)/AnalysisServer.curry $(CASS)/AnalysisDoc.curry \
       $(CASS)/Registry.curry \
       $(CURRYTOOLS)/addtypes/AddTypes.curry \
       $(CURRYTOOLS)/importcalls/ImportCalls.curry \
       $(LIBDIR)/GUI.curry $(LIBDIR)/IOExts.curry  $(LIBDIR)/System.curry \
       $(LIBDIR)/FlatCurry/Types.curry $(LIBDIR)/FlatCurry/Files.curry \
       $(LIBDIR)/FlatCurry/Show.curry \
       analysis/*.curry $(ANADIR)/*.curry

LOADPATH = analysis:$(CASS):$(ANADIR):$(CURRYTOOLS)/importcalls:$(CURRYTOOLS)/addtypes

.PHONY: all compile install clean uninstall

all: install

compile: GenInt BrowserGUI SourceProgGUI

install: compile
	rm -f $(TOOL)
	ln -s $(CURDIR)/BrowserGUI $(TOOL)

clean:
	$(CLEANCURRY) -r
	rm -f BrowserGUI SourceProgGUI GenInt

uninstall: clean
	rm -f $(TOOL)

# generate executables:
GenInt: ShowFlatCurry.curry $(LIBDIR)/FlatCurry/*.curry
	$(REPL) $(REPL_OPTS) :load ShowFlatCurry :save :quit
	rm -f GenInt && ln -s ShowFlatCurry GenInt

BrowserGUI: $(DEPS)
	$(REPL) $(REPL_OPTS) :set path $(LOADPATH) \
	  :load BrowserGUI :eval "patchReadmeVersion" :save :quit

SourceProgGUI: SourceProgGUI.curry $(LIBDIR)/GUI.curry
	$(REPL) $(REPL_OPTS) :load SourceProgGUI :save :quit

# load the Curry Browser program into the Curry system:
.PHONY: load
load: $(DEPS)
	$(REPL) $(REPL_OPTS) :set path $(LOADPATH) :load BrowserGUI

=== casc/Makefile ===
# Makefile for generating the Curry Automatic Style Checker

TOOL=$(BINDIR)/casc

DEPS = *.curry AST/*.curry AutoCorr/*.curry Check/*.curry Config/*.curry

.PHONY: all compile install clean uninstall

all: install

compile: CASC

install: CASC
	rm -f $(TOOL)
	ln -s $(CURDIR)/CASC $(TOOL)

clean:
	$(CLEANCURRY)
	rm -f CASC

uninstall: clean
	rm -f $(TOOL)

CASC: $(DEPS)
	$(REPL) $(REPL_OPTS) :l CASC :save :q

=== createmakefile/Makefile ===
# Makefile for tool "CreateMakefile"

TOOL = $(BINDIR)/currycreatemake

.PHONY: all compile install clean uninstall

all: install

compile: CreateMakefile

install: compile
	rm -f $(TOOL)
	ln -s $(CURDIR)/CreateMakefile $(TOOL)

clean:
	$(CLEANCURRY)
	rm -f CreateMakefile

uninstall: clean
	rm -f $(TOOL)

# generate executable for CreateMakefile program
CreateMakefile:  CreateMakefile.curry \
	  $(LIBDIR)/FlatCurry/Types.curry \
	  $(LIBDIR)/FlatCurry/Files.curry \
	  $(LIBDIR)/FlatCurry/Read.curry \
	  $(LIBDIR)/FilePath.curry \
	  $(LIBDIR)/PropertyFile.curry \
	  $(LIBDIR)/ReadShowTerm.curry \
	  $(LIBDIR)/Distribution.curry \
	  $(LIBDIR)/FileGoodies.curry \
	  $(LIBDIR)/Global.curry \
	  $(LIBDIR)/List.curry \
	  $(LIBDIR)/Maybe.curry \
	  $(LIBDIR)/Directory.curry \
	  $(LIBDIR)/IOExts.curry \
	  $(LIBDIR)/Time.curry \
	  $(LIBDIR)/Char.curry \
	  $(LIBDIR)/IO.curry \
	  $(LIBDIR)/System.curry
	# create saved state for top-level function "main":
	$(REPL) $(REPL_OPTS) :load CreateMakefile :save :quit

=== currycheck/Makefile ===
# Makefile for generating the currycheck tool

TOOL=$(BINDIR)/currycheck

# currycheck (main) dependencies:
DEPS = *.curry $(LIBDIR)/Test/EasyCheck.curry $(LIBDIR)/AbstractCurry/*.curry

.PHONY: all compile install clean uninstall

all: install

compile: CurryCheck

install: CurryCheck
	rm -f $(TOOL)
	ln -s $(CURDIR)/CurryCheck $(TOOL)

clean:
	$(CLEANCURRY)
	rm -f CurryCheck

uninstall: clean
	rm -f $(TOOL)

CurryCheck: $(DEPS)
	$(REPL) $(REPL_OPTS) :l CurryCheck :save :q

=== currydoc/Makefile ===
# Makefile for generating CurryDoc tool

# Required:
# - installed Curry System (PAKCS or KiCS2) specified by variable REPL
# - root location of the Curry System specified by variable ROOT

# directories
CASS       = ../CASS
ANADIR     = ../analysis
# binary
TOOL       = $(BINDIR)/currydoc

# Source modules of currydoc
DEPS = CurryDoc.curry CurryDocRead.curry CurryDocAnaInfo.curry \
       CurryDocHtml.curry CurryDocTeX.curry CurryDocCDoc.curry \
       CurryDocParams.curry CurryDocConfig.curry \
       $(LIBDIR)/Markdown.curry \
       $(LIBDIR)/FlatCurry/FlexRigid.curry \
       $(LIBDIR)/CategorizedHtmlList.curry \
       $(LIBDIR)/Distribution.curry $(LIBDIR)/PropertyFile.curry \
       $(LIBDIR)/FlatCurry/Types.curry $(LIBDIR)/FlatCurry/Files.curry \
       $(LIBDIR)/HTML.curry $(LIBDIR)/HtmlParser.curry \
       $(LIBDIR)/Bootstrap3Style.curry \
       $(CASS)/AnalysisServer.curry \
       $(ANADIR)/Deterministic.curry $(ANADIR)/TotallyDefined.curry \
       $(ANADIR)/Indeterministic.curry $(ANADIR)/SolutionCompleteness.curry

.PHONY: all compile install clean uninstall

all: install

compile: CurryDoc

install: compile
	rm -f $(TOOL)
	ln -s $(CURDIR)/CurryDoc $(TOOL)

clean:
	$(CLEANCURRY)
	rm -f CurryDoc

uninstall: clean
	rm -f $(TOOL)

# generate executable for currydoc program
CurryDoc: $(DEPS)
	$(REPL) $(REPL_OPTS) :set path $(CASS):$(ANADIR) :load CurryDoc :save :quit

=== currypp/Makefile ===
#****************************************************************************
# A Code Integrator for Curry
#
# Contact:
# Max Deppert - made@informatik.uni-kiel.de
# Jasper Sikorra - jsi@informatik.uni-kiel.de
#
#****************************************************************************
# Makefile for Curry preprocessor
#****************************************************************************

# Tool binary
TOOL = $(BINDIR)/currypp

# Source filepaths
ICODEDIR      = $(CURDIR)/IntegratedCode
PARSEDIR      = $(ICODEDIR)/Parser
MLDIR         = $(PARSEDIR)/ML
SQLDIR        = $(PARSEDIR)/SQL
SEQRULESDIR   = $(CURDIR)/SequentialRules
DEFRULESDIR   = $(CURDIR)/DefaultRules
CONTRACTDIR   = $(CURDIR)/ContractWrapper
REWRITINGDIR  = $(CURDIR)/../verification
# for modules ContractUsage and DefaultRuleUsage:
CURRYCHECKDIR = $(CURDIR)/../currycheck
# for determinism analysis used in contract wrapper:
DETANAPATH    = ../analysis:../CASS

# preprocessor input path and dependencies:
PPPATH = $(ICODEDIR):$(PARSEDIR):$(MLDIR):$(SQLDIR):$(SEQRULESDIR):$(DEFRULESDIR):$(CONTRACTDIR):$(REWRITINGDIR):$(CURRYCHECKDIR):$(DETANAPATH)
DEPS   = Main.curry $(ICODEDIR)/*.curry $(PARSEDIR)/*.curry $(MLDIR)/*.curry \
          $(SQLDIR)/*.curry $(SEQRULESDIR)/*.curry $(DEFRULESDIR)/*.curry \
	  $(CONTRACTDIR)/*.curry $(CURRYCHECKDIR)/ContractUsage.curry \
	  $(CURRYCHECKDIR)/DefaultRuleUsage.curry \
	  $(CURRYCHECKDIR)/TheoremUsage.curry \
	  $(LIBDIR)/AbstractCurry/*.curry

.PHONY: all compile install clean uninstall

all: install

compile: Main

install: compile
	rm -f $(TOOL)
	ln -s $(CURDIR)/Main $(TOOL)

clean:
	$(CLEANCURRY) -r

uninstall: clean
	rm -f $(TOOL)

# generate executable of currypp translator:
Main: $(DEPS)
	@echo Compiling Curry Preprocessor...
	$(REPL) $(REPL_OPTS) :set path $(PPPATH) :load Main :save :quit

# run the test suites for the Curry preprocessor
.PHONY: runtest
runtest:
	cd IntegratedCode/Examples    && ./test.sh
	cd IntegratedCode/ExamplesSQL && ./test.sh
	# The following test is removed due to problems with SWI-Prolog:
	#cd SequentialRules/Examples && ./test.sh 
	cd DefaultRules/Examples      && ./test.sh
	cd ContractWrapper/Examples   && ./test.sh

=== currytest/Makefile ===
# Makefile for generating currytest tool

TOOL = $(BINDIR)/currytest

.PHONY: all compile install clean uninstall

all: install

compile: CurryTest

install: compile
	rm -f $(TOOL)
	ln -s $(CURDIR)/CurryTest $(TOOL)

clean:
	$(CLEANCURRY)
	rm -f CurryTest

uninstall: clean
	rm -f $(TOOL)

CurryTest:  CurryTest.curry         $(LIBDIR)/FlatCurry/Files.curry   \
	  $(LIBDIR)/System.curry    $(LIBDIR)/Assertion.curry    \
	  $(LIBDIR)/Directory.curry $(LIBDIR)/Distribution.curry \
	  $(LIBDIR)/GUI.curry
	$(REPL) $(REPL_OPTS) :load CurryTest :save :quit

=== ertools/Makefile ===
#****************************************************************************
# The ERD2CDBI tool transforms an ERD term into datatypes for CDBI.
# It also creates an information file for the currypp SQL-Parser.
# If the tool is invoked with the option -db, it creates a
# corresponding sqlite database.
#
#****************************************************************************

# installation binaries
ERD2CURRY = $(BINDIR)/erd2curry
ERD2CDBI  = $(BINDIR)/erd2cdbi

# Some modules required by the erd2curry tool:
DEPSERD2CURRY = ERD2Curry.curry CodeGeneration.curry Transformation.curry \
                XML2ERD.curry ERD2Graph.curry \
                $(ROOT)/lib/Database/ERD*.curry $(LIBDIR)/AbstractCurry/*.curry

# Some modules required by the erd2cdbi tool:
DEPSERD2CDBI = ERD2CDBI.curry $(ROOT)/lib/Database/ERD*.curry \
               $(ROOT)/lib/Database/CDBI/*.curry 

.PHONY: all compile install clean uninstall

all: install

compile: erd2curry ERD2CDBI

install: compile
	rm -f $(ERD2CURRY) $(ERD2CDBI)
	ln -s $(CURDIR)/erd2curry $(ERD2CURRY)
	ln -s $(CURDIR)/ERD2CDBI $(ERD2CDBI)

clean:
	$(CLEANCURRY)
	rm -f erd2curry ERD2CDBI

uninstall: clean
	rm -f $(ERD2CURRY) $(ERD2CDBI)

erd2curry: $(DEPSERD2CURRY)
	$(REPL) $(REPL_OPTS) :load ERD2Curry :save "main \"$(CURDIR)\"" :q
	mv ERD2Curry $@

ERD2CDBI: $(DEPSERD2CDBI)
	$(REPL) $(REPL_OPTS) :load ERD2CDBI :save :quit

=== peval/Makefile ===
# Make to generate the Curry partial evaluator
# Required:
# - installed Curry System (PAKCS or KiCS2) specified by variable REPL
# - root location of the Curry System specified by variable ROOT

# binary
TOOL   = $(BINDIR)/peval

# Source modules of peval:
DEPS = *.curry

.PHONY: all compile install clean uninstall

all: install

compile: peval

install: compile
	rm -f $(TOOL)
	ln -s $(CURDIR)/peval $(TOOL)

clean:
	$(CLEANCURRY) -r
	rm -f peval

uninstall: clean
	rm -f $(TOOL)

# generate executable
peval: $(DEPS)
	$(REPL) $(REPL_OPTS) :load peval :save :quit

=== runcurry/Makefile ===
# Makefile for generating GenInt tool

# binary
TOOL = $(BINDIR)/runcurry

.PHONY: all compile install clean uninstall

all: install

compile: RunCurry

install: compile # no further installation required
	rm -f $(TOOL)
	ln -s $(CURDIR)/RunCurry $(TOOL)

clean:
	$(CLEANCURRY)
	rm -f RunCurry

uninstall: clean
	rm -f $(TOOL)

# generate executable for currydoc program:
RunCurry: RunCurry.curry
	$(REPL) $(REPL_OPTS) :load RunCurry :save :quit

=== debian/changelog ===
curry-tools (1.0.0+dfsg1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #840539).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Oct 2016 14:13:14 +0200

=== debian/control ===
Source: curry-tools
Section: devel
Priority: optional
Build-Depends:
 cdbs,
 debhelper (>= 9),
Maintainer: Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Michael Hanus <mh@informatik.uni-kiel.de>,
Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
Standards-Version: 3.9.8

Package: curry-tools-source
Architecture: all
Depends:
 ${misc:Depends},
Description: Tools that are used by different Curry systems, like PAKCS or KiCS2
 PAKCS and KICS2 are two different implementations of the programming
 language Curry. Curry is a functional programming language being developed
 at Kiel, Aachen and Portland University.
 .
 Whereas PAKCS is a Curry to Prolog compiler, KICS2 compiles Curry code
 into Haskell. Both compilers require two source code trees at compiler
 build time: curry-tools-source and curry-tools-source at build time.
 .
 This package provides the source files of the curry-tools.

## curry-tools 1.0.1+dfsg1

=== Makefile ===
# Generate various tools for Curry

# Required:
# - root location of the Curry System specified by variable ROOT

ROOT ?= $(error Please specify the variable ROOT)

export BINDIR     = $(ROOT)/bin
export LIBDIR     = $(ROOT)/lib
export CLEANCURRY = $(BINDIR)/cleancurry
export REPL       = $(BINDIR)/curry

# Directory names of all tools:
ALLTOOLDIRS = $(filter-out $(EXCLUDES), $(sort $(notdir $(shell find . -mindepth 1 -maxdepth 1 -type d))))
EXCLUDES = .git
# Directory names of all tools having a Makefile:
TOOLDIRS = $(foreach d, $(ALLTOOLDIRS), $(shell test -f $(d)/Makefile && echo $(d)))

compile_TOOLDIRS=$(addprefix compile_,$(TOOLDIRS))
install_TOOLDIRS=$(addprefix install_,$(TOOLDIRS))
clean_TOOLDIRS=$(addprefix clean_,$(TOOLDIRS))
uninstall_TOOLDIRS=$(addprefix uninstall_,$(TOOLDIRS))

.PHONY: all
all: $(TOOLDIRS)

.PHONY: force

$(TOOLDIRS): force
	@cd $@ && $(MAKE)

.PHONY: compile
compile: $(compile_TOOLDIRS)

$(compile_TOOLDIRS):
	@cd $(patsubst compile_%,%,$@) && $(MAKE) compile

.PHONY: install
install: $(install_TOOLDIRS)

$(install_TOOLDIRS):
	@cd $(patsubst install_%,%,$@) && $(MAKE) install

.PHONY: clean
clean: $(clean_TOOLDIRS)

$(clean_TOOLDIRS):
	@cd $(patsubst clean_%,%,$@) && $(MAKE) clean

.PHONY: uninstall
uninstall: $(uninstall_TOOLDIRS)

$(uninstall_TOOLDIRS):
	@cd $(patsubst uninstall_%,%,$@) && $(MAKE) uninstall

# run the test suites to check the tools
.PHONY: runtest
runtest:
	cd optimize/binding_optimization/Examples && ./test.sh
	cd currypp  && $(MAKE) runtest
	cd runcurry/Examples && ./test.sh
	cd currycheck/Examples && ./test.sh
	cd currycheck/Examples/WithVerification && ./test.sh
	cd spicey/Examples && ./test.sh
	cd xmldata/Examples && ./test.sh

=== CASS/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ANADIR = ../analysis
 
 # binary
-TOOL   = $(BINDIR)/cass
+TOOL   = $(BINDIR)/$(CURRYSYSTEM)-analyze
 
 # Source modules of CASS:
 DEPS = *.curry \
@@ -21,8 +21,8 @@
 compile: cass_worker cass
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/cass $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/cass
+	cd $(BINDIR) && ln -s ../currytools/CASS/cass $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY) -r

=== addtypes/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for generating AddTypes tool
 
-TOOL = $(BINDIR)/addtypes
+TOOL = $(BINDIR)/$(CURRYSYSTEM)-addtypes
 
 .PHONY: all compile install clean uninstall
 
@@ -9,8 +9,8 @@
 compile: AddTypes
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/AddTypes $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/addtypes
+	cd $(BINDIR) && ln -s ../currytools/addtypes/AddTypes $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)

=== analysis/Makefile ===
# Makefile for analysis files (used in CASS)

ANALYSES = $(wildcard *.curry)
ANA_FCY  = $(ANALYSES:%.curry=.curry/%.fcy)
CASS     = ../CASS

.PHONY: all compile install clean uninstall

all: install

compile:
	for a in $(ANA_FCY); do $(MAKE) $$a; done

install: compile

clean:
	$(CLEANCURRY)

uninstall: clean

# compile a source program:
.curry/%.fcy: %.curry $(CASS)/Analysis.curry $(CASS)/GenericProgInfo.curry
	"$(REPL)" $(REPL_OPTS) :set path $(CASS) :load $* :quit

=== browser/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ANADIR     = $(CURRYTOOLS)/analysis
 
 # binary
-TOOL       = $(BINDIR)/currybrowse
+TOOL       = $(BINDIR)/$(CURRYSYSTEM)-browse
 
 # source modules of the Curry Browser:
 DEPS = BrowserGUI.curry Imports.curry \
@@ -33,8 +33,8 @@
 compile: GenInt BrowserGUI SourceProgGUI
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/BrowserGUI $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currybrowse
+	cd $(BINDIR) && ln -s ../currytools/browser/BrowserGUI $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY) -r

=== casc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for generating the Curry Automatic Style Checker
 
-TOOL=$(BINDIR)/casc
+TOOL=$(BINDIR)/$(CURRYSYSTEM)-style
 
 DEPS = *.curry AST/*.curry AutoCorr/*.curry Check/*.curry Config/*.curry
 
@@ -11,8 +11,8 @@
 compile: CASC
 
 install: CASC
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/CASC $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/casc
+	cd $(BINDIR) && ln -s ../currytools/casc/CASC $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)

=== createmakefile/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for tool "CreateMakefile"
 
-TOOL = $(BINDIR)/currycreatemake
+TOOL = $(BINDIR)/$(CURRYSYSTEM)-createmake
 
 .PHONY: all compile install clean uninstall
 
@@ -10,7 +10,7 @@
 
 install: compile
 	rm -f $(TOOL)
-	ln -s $(CURDIR)/CreateMakefile $(TOOL)
+	cd $(BINDIR) && ln -s ../currytools/createmakefile/CreateMakefile $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)

=== curry2js/Makefile ===
# Makefile for generating Curry->JavaScript tool

# Required:
# - installed Curry System (PAKCS or KiCS2) specified by variable REPL
# - root location of the Curry System specified by variable ROOT

TOOL =  Curry2JS

.PHONY: all compile install clean uninstall

all: install

compile: Curry2JS

install: compile # no further installation required

clean:
	$(CLEANCURRY) -r
	rm -f Curry2JS

uninstall: clean

# generate executable for the Curry2JavaScript translator
Curry2JS:  Curry2JS.curry $(LIBDIR)/JavaScript.curry \
	        $(LIBDIR)/FlatCurry/*.curry
	$(REPL) $(REPL_OPTS) :load Curry2JS :save :quit

=== currycheck/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for generating the currycheck tool
 
-TOOL=$(BINDIR)/currycheck
+TOOL=$(BINDIR)/$(CURRYSYSTEM)-check
 
 # currycheck (main) dependencies:
 DEPS = *.curry $(LIBDIR)/Test/EasyCheck.curry $(LIBDIR)/AbstractCurry/*.curry
@@ -12,8 +12,8 @@
 compile: CurryCheck
 
 install: CurryCheck
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/CurryCheck $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currycheck
+	cd $(BINDIR) && ln -s ../currytools/currycheck/CurryCheck $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)

=== currydoc/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CASS       = ../CASS
 ANADIR     = ../analysis
 # binary
-TOOL       = $(BINDIR)/currydoc
+TOOL       = $(BINDIR)/$(CURRYSYSTEM)-doc
 
 # Source modules of currydoc
 DEPS = CurryDoc.curry CurryDocRead.curry CurryDocAnaInfo.curry \
@@ -32,8 +32,8 @@
 compile: CurryDoc
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/CurryDoc $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currydoc
+	cd $(BINDIR) && ln -s ../currytools/currydoc/CurryDoc $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)

=== currypp/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #****************************************************************************
 
 # Tool binary
-TOOL = $(BINDIR)/currypp
+TOOL = $(BINDIR)/$(CURRYSYSTEM)-pp
 
 # Source filepaths
 ICODEDIR      = $(CURDIR)/IntegratedCode
@@ -42,14 +42,17 @@
 compile: Main
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/Main $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currypp
+	cd $(BINDIR) && ln -s ../currytools/currypp/Main $(notdir $(TOOL))
+	cd $(BINDIR) && ln -s $(notdir $(TOOL)) currypp # for backward compatibility
 
 clean:
 	$(CLEANCURRY) -r
+	rm -f Main
 
 uninstall: clean
 	rm -f $(TOOL)
+	rm -f $(BINDIR)/currypp # for backward compatibility
 
 # generate executable of currypp translator:
 Main: $(DEPS)

=== currytest/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for generating currytest tool
 
-TOOL = $(BINDIR)/currytest
+TOOL = $(BINDIR)/$(CURRYSYSTEM)-test
 
 .PHONY: all compile install clean uninstall
 
@@ -9,8 +9,8 @@
 compile: CurryTest
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/CurryTest $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currytest
+	cd $(BINDIR) && ln -s ../currytools/currytest/CurryTest $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)

=== debian/changelog ===
curry-tools (1.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2017 09:57:08 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,6 @@
  .
  Whereas PAKCS is a Curry to Prolog compiler, KICS2 compiles Curry code
  into Haskell. Both compilers require two source code trees at compiler
- build time: curry-tools-source and curry-tools-source at build time.
+ build time: curry-tools-source and curry-tools-source.
  .
  This package provides the source files of the curry-tools.

=== debian/rules ===
#!/usr/bin/make -f

NULL  =
PKD   = $(word 1, $(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(word 1, $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

include /usr/share/cdbs/1/rules/debhelper.mk

install/curry-tools-source::
	mkdir -p $(CURDIR)/debian/tmp/usr/src/
	cd $(CURDIR) && tar cv `find . -type f | grep -v ./debian/ | grep -v ./.pc/` | xz -z > $(CURDIR)/debian/tmp/usr/src/curry-tools-source.tar.xz 

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	        spicey/ \
	        $(NULL)
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*//,filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/curry-tools-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/curry-tools/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## curry-tools 1.0.3+dfsg1

=== Makefile ===
--- 
+++ 
@@ -16,18 +16,47 @@
 # Directory names of all tools having a Makefile:
 TOOLDIRS = $(foreach d, $(ALLTOOLDIRS), $(shell test -f $(d)/Makefile && echo $(d)))
 
+make_TOOLDIRS=$(addprefix make_,$(TOOLDIRS))
 compile_TOOLDIRS=$(addprefix compile_,$(TOOLDIRS))
 install_TOOLDIRS=$(addprefix install_,$(TOOLDIRS))
 clean_TOOLDIRS=$(addprefix clean_,$(TOOLDIRS))
 uninstall_TOOLDIRS=$(addprefix uninstall_,$(TOOLDIRS))
 
 .PHONY: all
-all: $(TOOLDIRS)
+all: $(make_TOOLDIRS)
 
-.PHONY: force
+###########################################################################
+# Define dependencies between the different tools:
 
-$(TOOLDIRS): force
-	@cd $@ && $(MAKE)
+make_browser: | make_analysis make_CASS make_addtypes make_importcalls
+	@$(MAKE) now_$@
+
+make_analysis:
+	@$(MAKE) now_$@
+
+make_CASS: | make_analysis
+	@$(MAKE) now_$@
+
+make_currydoc: | make_analysis make_CASS
+	@$(MAKE) now_$@
+
+make_currypp: | make_analysis make_CASS make_currycheck make_verification
+	@$(MAKE) now_$@
+
+make_optimize: | make_analysis make_CASS
+	@$(MAKE) now_$@
+
+make_verification: | make_analysis make_CASS make_currycheck
+	@$(MAKE) now_$@
+
+make_%:
+	@$(MAKE) now_make_$*
+
+# now we really make the tool:
+now_make_%:
+	@cd $* && $(MAKE)
+
+###########################################################################
 
 .PHONY: compile
 compile: $(compile_TOOLDIRS)
@@ -53,13 +82,15 @@
 $(uninstall_TOOLDIRS):
 	@cd $(patsubst uninstall_%,%,$@) && $(MAKE) uninstall
 
+########################################################################
+# Testing the tools
+
+# Tools with test suites:
+TESTTOOLS = optimize currypp runcurry currycheck spicey xmldata   
+
 # run the test suites to check the tools
 .PHONY: runtest
-runtest:
-	cd optimize/binding_optimization/Examples && ./test.sh
-	cd currypp  && $(MAKE) runtest
-	cd runcurry/Examples && ./test.sh
-	cd currycheck/Examples && ./test.sh
-	cd currycheck/Examples/WithVerification && ./test.sh
-	cd spicey/Examples && ./test.sh
-	cd xmldata/Examples && ./test.sh
+runtest: $(addprefix runtest_,$(TESTTOOLS))
+
+runtest_%:
+	cd $* && $(MAKE) runtest

=== CASS/Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 
 all: install
 
-compile: cass_worker cass
+compile:
+	$(MAKE) cass_worker
+	$(MAKE) cass
 
 install: compile
 	rm -f $(TOOL) $(BINDIR)/cass

=== analysis/Makefile ===
--- 
+++ 
@@ -4,12 +4,17 @@
 ANA_FCY  = $(ANALYSES:%.curry=.curry/%.fcy)
 CASS     = ../CASS
 
+empty     :=
+space     := $(empty) $(empty)
+# make_seq "a b c" = "make a && make b && make c"
+make_seq = $(subst MAKE,$(MAKE) ,$(subst $(space), && ,$(addprefix MAKE,$(1))))
+
 .PHONY: all compile install clean uninstall
 
 all: install
 
 compile:
-	for a in $(ANA_FCY); do $(MAKE) $$a; done
+	$(call make_seq,$(ANA_FCY))
 
 install: compile

=== browser/Makefile ===
--- 
+++ 
@@ -30,7 +30,10 @@
 
 all: install
 
-compile: GenInt BrowserGUI SourceProgGUI
+compile:
+	$(MAKE) GenInt
+	$(MAKE) BrowserGUI
+	$(MAKE) SourceProgGUI
 
 install: compile
 	rm -f $(TOOL) $(BINDIR)/currybrowse

=== currycheck/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # currycheck (main) dependencies:
 DEPS = *.curry $(LIBDIR)/Test/EasyCheck.curry $(LIBDIR)/AbstractCurry/*.curry
 
-.PHONY: all compile install clean uninstall
+.PHONY: all compile install clean uninstall runtest
 
 all: install
 
@@ -24,3 +24,8 @@
 
 CurryCheck: $(DEPS)
 	$(REPL) $(REPL_OPTS) :l CurryCheck :save :q
+
+# run the test suite
+runtest:
+	cd Examples                  && ./test.sh $(RUNTESTPARAMS)
+	cd Examples/WithVerification && ./test.sh $(RUNTESTPARAMS)

=== currypp/Makefile ===
--- 
+++ 
@@ -59,12 +59,17 @@
 	@echo Compiling Curry Preprocessor...
 	$(REPL) $(REPL_OPTS) :set path $(PPPATH) :load Main :save :quit
 
-# run the test suites for the Curry preprocessor
+
+########################################################################
+# Testing the preprocessor
+
+# Directories with test suites for the preprocessor:
+TESTTOOLS = IntegratedCode.Examples IntegratedCode.ExamplesSQL \
+            DefaultRules.Examples ContractWrapper.Examples
+
+# run the test suites to check the tools
 .PHONY: runtest
-runtest:
-	cd IntegratedCode/Examples    && ./test.sh
-	cd IntegratedCode/ExamplesSQL && ./test.sh
-	# The following test is removed due to problems with SWI-Prolog:
-	#cd SequentialRules/Examples && ./test.sh 
-	cd DefaultRules/Examples      && ./test.sh
-	cd ContractWrapper/Examples   && ./test.sh
+runtest: $(addprefix runtest_,$(TESTTOOLS))
+
+runtest_%:
+	cd $(subst .,/,$*) && ./test.sh $(RUNTESTPARAMS)

=== ertools/Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 #****************************************************************************
 
 # installation binaries
-ERD2CURRY = $(BINDIR)/erd2curry
-ERD2CDBI  = $(BINDIR)/erd2cdbi
+ERD2CURRY = $(BINDIR)/$(CURRYSYSTEM)-erd2curry
+ERD2CDBI  = $(BINDIR)/$(CURRYSYSTEM)-erd2cdbi
 
 # Some modules required by the erd2curry tool:
 DEPSERD2CURRY = ERD2Curry.curry CodeGeneration.curry Transformation.curry \
@@ -23,12 +23,14 @@
 
 all: install
 
-compile: erd2curry ERD2CDBI
+compile:
+	$(MAKE) ERD2Curry
+	$(MAKE) ERD2CDBI
 
 install: compile
-	rm -f $(ERD2CURRY) $(ERD2CDBI)
-	ln -s $(CURDIR)/erd2curry $(ERD2CURRY)
-	ln -s $(CURDIR)/ERD2CDBI $(ERD2CDBI)
+	rm -f $(ERD2CURRY) $(ERD2CDBI) $(BINDIR)/erd2curry $(BINDIR)/erd2cdbi
+	cd $(BINDIR) && ln -s ../currytools/ertools/ERD2Curry $(notdir $(ERD2CURRY))
+	cd $(BINDIR) && ln -s ../currytools/ertools/ERD2CDBI $(notdir $(ERD2CDBI))
 
 clean:
 	$(CLEANCURRY)
@@ -37,9 +39,8 @@
 uninstall: clean
 	rm -f $(ERD2CURRY) $(ERD2CDBI)
 
-erd2curry: $(DEPSERD2CURRY)
-	$(REPL) $(REPL_OPTS) :load ERD2Curry :save "main \"$(CURDIR)\"" :q
-	mv ERD2Curry $@
+ERD2Curry: $(DEPSERD2CURRY)
+	$(REPL) $(REPL_OPTS) :load ERD2Curry :save :quit
 
 ERD2CDBI: $(DEPSERD2CDBI)
 	$(REPL) $(REPL_OPTS) :load ERD2CDBI :save :quit

=== optimize/Makefile ===
# Generate optimization tools for Curry

# Required:
# - root location of the Curry System specified by variable ROOT

.PHONY: all compile install clean uninstall runtest

all:
	@cd binding_optimization && $(MAKE) all

compile:
	@cd binding_optimization && $(MAKE) compile

install:
	@cd binding_optimization && $(MAKE) install

clean:
	@cd binding_optimization && $(MAKE) clean

uninstall:
	@cd binding_optimization && $(MAKE) uninstall

# run the test suite
runtest:
	cd binding_optimization/Examples && ./test.sh $(RUNTESTPARAMS)

=== runcurry/Makefile ===
# Makefile for generating GenInt tool

# binary
TOOL = $(BINDIR)/$(CURRYSYSTEM)-run

.PHONY: all compile install clean uninstall runtest

all: install

compile: RunCurry

install: compile # no further installation required
	rm -f $(TOOL) $(BINDIR)/runcurry
	cd $(BINDIR) && ln -s ../currytools/runcurry/RunCurry $(notdir $(TOOL))
	cd $(BINDIR) && ln -s $(notdir $(TOOL)) runcurry # for backward compatibility

clean:
	$(CLEANCURRY)
	rm -f RunCurry

uninstall: clean
	rm -f $(TOOL)
	rm -f $(BINDIR)/runcurry # for backward compatibility

# generate executable for currydoc program:
RunCurry: RunCurry.curry
	$(REPL) $(REPL_OPTS) :load RunCurry :save :quit

# run the test suite
runtest:
	cd Examples && ./test.sh $(RUNTESTPARAMS)

=== www/Makefile ===
# Compile programs for managing cgi server processes
# (used by HTML libraries):

REGISTRY   = $(CURDIR)/Registry
SUBMITFORM = $(CURDIR)/SubmitForm

.PHONY: all compile install clean uninstall
.PHONY: cleanServers show showload sketch showall stop kill

all: install

install: compile

compile:
	$(MAKE) $(SUBMITFORM)
	$(MAKE) $(REGISTRY)

clean:
	$(CLEANCURRY)
	rm -f $(SUBMITFORM) $(REGISTRY)

uninstall: clean


$(SUBMITFORM): SubmitForm.curry $(LIBDIR)/HtmlCgi.curry \
	    $(LIBDIR)/NamedSocket.curry $(LIBDIR)/CPNS.curry
	$(REPL) $(REPL_OPTS) :load SubmitForm :save :q

$(REGISTRY): Registry.curry $(LIBDIR)/HtmlCgi.curry
	$(REPL) $(REPL_OPTS) :load Registry :save :q


cleanServers:
	$(REGISTRY) clean

show:
	$(REGISTRY) show

showload:
	$(REGISTRY) showload

sketch:
	$(REGISTRY) sketch

showall:
	$(REGISTRY) showall

stop:
	$(REGISTRY) stop

kill:
	$(REGISTRY) kill

=== xmldata/Makefile ===
# Install tool to generate Curry programs for representing data in XML format

# Some modules required by the erd2curry implementation:
DEPS = Data2Xml.curry $(LIBDIR)/AbstractCurry/*.curry

# binaries
TOOL = $(BINDIR)/$(CURRYSYSTEM)-data2xml

.PHONY: all compile install clean uninstall runtest

all: install

compile: Data2Xml

install: compile
	rm -f $(TOOL) $(BINDIR)/data2xml
	cd $(BINDIR) && ln -s ../currytools/xmldata/Data2Xml $(notdir $(TOOL))

clean:
	$(CLEANCURRY)
	rm -f Data2Xml

uninstall: clean
	rm -f $(TOOL)

# generate executable for Data2Xml program:
Data2Xml: $(DEPS)
	$(REPL) $(REPL_OPTS) :load Data2Xml :save :q

# run the test suite
runtest:
	cd Examples && ./test.sh $(RUNTESTPARAMS)

=== debian/changelog ===
curry-tools (1.0.3+dfsg1-2) unstable; urgency=medium

  * debian/watch:
    + Update to new tarball naming scheme in recent GitLab versions.
  * debian/control:
    + Bump Standards-Version: to 4.1.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Sep 2017 19:27:49 +0200

curry-tools (1.0.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches recently cherry-picked from upstream. They are shipped
      in this upstream release.
    + Update/rebase 2001_drop-spicey-tool.patch.
  * debian/rules:
    + Use --clamp-mtime --mtime="$(SOURCE_DATE)" when tarring up the curry-tools
      source files. As we quilt-patch some files in the original upstream
      sources, we end up with varying mtimes in tarballs. The referenced options
      avoid those mtime variations.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Feb 2017 12:07:36 +0100

curry-tools (1.0.1+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0009-UTF-8-strings-replaced-in-examples-to-avoid-encoding.patch;
      avoid encoding issue in test.
    + Add 0010-Superfluous-output-of-which-command-suppressed.patch; suppress
      superfluous output of which command.
    + Add 0011-noreadline-and-REPL_OPTS-added-to-some-pakcs-calls.patch.
      Prevent from writing to user homes.
    + Comment out spicey related changes in
      0011-noreadline-and-REPL_OPTS-added-to-some-pakcs-calls.patch. Debian's
      curry-tools package does not ship spicey.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2017 09:23:19 +0100

curry-tools (1.0.1+dfsg1-2) unstable; urgency=medium

  * debian/rules:
    + Use tar --sort=name and --mode= option to make tarring reproducible.
  * debian/control:
    + Versioned B-D on tar (>= 1.28).
  * debian/patches: Cherry-pick recent work from upstream.
     +0001-New-analyses-for-termination-and-productivity-of-ope.patch
     +0002-Root-replacement-analysis-corrected-w.r.t.-projectio.patch
     +0003-Productivity-analysis-updated.patch
     +0004-Productivity-analysis-improved.patch
     +0005-Productivity-analysis-slightly-improved-analysis-doc.patch
     +0006-Analysis-documentation-updated.patch
     +0007-Makefiles-changed-so-that-runtest-considers-variable.patch
     +0008-Checking-for-existence-of-sqlite3-binary-added.patch

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 31 Jan 2017 10:28:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 9),
+ tar (>= 1.28),
 Maintainer: Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
@@ -11,7 +12,7 @@
 Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
 Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 
 Package: curry-tools-source
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 install/curry-tools-source::
 	mkdir -p $(CURDIR)/debian/tmp/usr/src/
-	cd $(CURDIR) && tar cv `find . -type f | grep -v ./debian/ | grep -v ./.pc/` | xz -z > $(CURDIR)/debian/tmp/usr/src/curry-tools-source.tar.xz 
+	cd $(CURDIR) && tar --clamp-mtime --mtime="$(SOURCE_DATE)" --mode=go=rX,u+rw,a-s --sort=name -cv `find . -type f | grep -v ./debian/ | grep -v ./.pc/` | xz -z > $(CURDIR)/debian/tmp/usr/src/curry-tools-source.tar.xz
 
 ## http://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*//,filenamemangle=s/.*\/v(\d\S+)\/archive\.tar\.gz/curry-tools-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/curry-tools/tags?sort=updated_desc .*/v?(\d\S+)/archive\.tar\.gz

## curry-tools 2.0.0

=== cpns/Makefile ===
# Compile the CPNS (Curry Port Name Server) demon
# to support named ports in distributed Curry programs:

TOOL    = $(CURDIR)/CPNSD
LOGFILE = "/tmp/CurryPNSD.log"

# set additional options for Profile.getProcessInfos used in CPNS logging:
ifeq ($(CURRYSYSTEM),kics2)
ADD_OPTS = :set rts -T
endif

.PHONY: all compile install clean uninstall show showlog

all: install

compile: $(TOOL)

install: compile

clean:
	./stop
	$(CLEANCURRY)
	rm -f $(TOOL)

uninstall: clean


$(TOOL): $(LIBDIR)/CPNS.curry
	$(REPL) $(REPL_OPTS) $(ADD_OPTS) :load CPNSD :save :q

# Show the currently registered ports:
show:
	$(TOOL) show

# Show the log file of the demon:
showlog:
	cat $(LOGFILE)

=== www/Makefile ===
--- 
+++ 
@@ -22,11 +22,11 @@
 uninstall: clean
 
 
-$(SUBMITFORM): SubmitForm.curry $(LIBDIR)/HtmlCgi.curry \
+$(SUBMITFORM): SubmitForm.curry HtmlCgi.curry \
 	    $(LIBDIR)/NamedSocket.curry $(LIBDIR)/CPNS.curry
 	$(REPL) $(REPL_OPTS) :load SubmitForm :save :q
 
-$(REGISTRY): Registry.curry $(LIBDIR)/HtmlCgi.curry
+$(REGISTRY): Registry.curry HtmlCgi.curry
 	$(REPL) $(REPL_OPTS) :load Registry :save :q

## curry-tools 2.0.1

=== cpns/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 
 $(TOOL): $(LIBDIR)/CPNS.curry
-	$(REPL) $(REPL_OPTS) $(ADD_OPTS) :load CPNSD :save :q
+	$(REPL) --nocypm $(REPL_OPTS) $(ADD_OPTS) :load CPNSD :save :q
 
 # Show the currently registered ports:
 show:

=== optimize/Makefile ===
# Makefile for binding optimizer:

# replacement stuff
empty     :=
space     := $(empty) $(empty)

# The load path of the application:
LOADPATH = src:$(subst $(space),:,$(wildcard .cpm/packages/*/src))

# Source modules:
DEPS = .cpm/packages/*/src/*/*curry src/BindingOpt.curry

.PHONY: all
all: install

.PHONY: install
install: compile

.PHONY: compile
compile: BindingOpt

# Load the application into the interactive Curry system:
.PHONY: load
load: 
	$(REPL) --nocypm $(REPL_OPTS) :set path $(LOADPATH) :l BindingOpt

# Compile and create an executable of the binding optimizer:
BindingOpt: $(DEPS)
	$(REPL) --nocypm $(REPL_OPTS) :set path $(LOADPATH) :l BindingOpt :save :q

# Clean intermediate files:
.PHONY: clean
clean: 
	$(CLEANCURRY) -r

.PHONY: uninstall
uninstall: clean
	rm -f BindingOpt

# run the test suite
runtest:
	$(BINDIR)/cypm -d curry_bin=$(REPL) test

=== www/Makefile ===
--- 
+++ 
@@ -24,10 +24,10 @@
 
 $(SUBMITFORM): SubmitForm.curry HtmlCgi.curry \
 	    $(LIBDIR)/NamedSocket.curry $(LIBDIR)/CPNS.curry
-	$(REPL) $(REPL_OPTS) :load SubmitForm :save :q
+	$(REPL) --nocypm $(REPL_OPTS) :load SubmitForm :save :q
 
 $(REGISTRY): Registry.curry HtmlCgi.curry
-	$(REPL) $(REPL_OPTS) :load Registry :save :q
+	$(REPL) --nocypm $(REPL_OPTS) :load Registry :save :q
 
 
 cleanServers:

=== debian/changelog ===
curry-tools (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Add B (curry-tools-source): pakcs (<< 2.0.1~).
  * debian/{control,compat}:
    + Bump to DH version level 10 (level 11 not yet supported by CDBS).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2018 12:11:06 +0100

curry-tools (2.0.0-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Dec 2017 19:31:54 +0100

curry-tools (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/{rules,watch}:
    + Drop orig tarball repacking logic. The recent version of curry-tools does
      not need repacking anymore.
  * debian/patches:
    + Drop 2001_drop-spicey-tool.patch. Spicey tool is not shipped with this
      upstream version anymore.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 08 Dec 2017 12:33:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10~),
  tar (>= 1.28),
 Maintainer: Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
 Uploaders:
@@ -12,12 +12,13 @@
 Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
 Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 
 Package: curry-tools-source
 Architecture: all
 Depends:
  ${misc:Depends},
+Breaks: pakcs (<< 2.0.1~),
 Description: Tools that are used by different Curry systems, like PAKCS or KiCS2
  PAKCS and KICS2 are two different implementations of the programming
  language Curry. Curry is a functional programming language being developed

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

install/curry-tools-source::
	mkdir -p $(CURDIR)/debian/tmp/usr/src/
	cd $(CURDIR) && tar --clamp-mtime --mtime="$(SOURCE_DATE)" --mode=go=rX,u+rw,a-s --sort=name -cv `find . -type f | grep -v ./debian/ | grep -v ./.pc/` | xz -z > $(CURDIR)/debian/tmp/usr/src/curry-tools-source.tar.xz

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v(\d\S+)\/archive\.tar\.gz/curry-tools-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/curry-tools/tags?sort=updated_desc .*/v?(\d\S+)/archive\.tar\.gz

## curry-tools 2.0.2

=== debian/changelog ===
curry-tools (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Update versioned B: pakcs (<< 2.0.2~).
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Nov 2018 14:44:59 +0100

curry-tools (2.0.1-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/watch:
    + Update for tarball export feature in latest GitLab versions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 15:59:07 +0200

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
  Mike Gabriel <sunweaver@debian.org>,
  Michael Hanus <mh@informatik.uni-kiel.de>,
 Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
-Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
-Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-tools
+Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-tools.git
+Standards-Version: 4.2.1
 
 Package: curry-tools-source
 Architecture: all
 Depends:
  ${misc:Depends},
-Breaks: pakcs (<< 2.0.1~),
+Breaks: pakcs (<< 2.0.2~),
 Description: Tools that are used by different Curry systems, like PAKCS or KiCS2
  PAKCS and KICS2 are two different implementations of the programming
  language Curry. Curry is a functional programming language being developed

## curry-tools 2.1.0

=== cpm/Makefile ===
# Makefile for Curry Package Manager (CPM)


# The tool name of the application:
TOOL      = $(BINDIR)/cypm
CURRYTOOL = $(BINDIR)/$(CURRYSYSTEM)-$(notdir $(TOOL))

# The default options for the REPL (options "rts -T" required for KiCS2
# in order to get elapsed times):
ifeq ($(CURRYSYSTEM),kics2)
export REPL_OPTS = --noreadline :set -time :set rts -T
else
export REPL_OPTS = --noreadline :set -time
endif

# Source modules of CPM:
DEPS = src/CPM/*.curry src/CPM/*/*.curry

.PHONY: all compile install clean uninstall runtest

all: install

install: compile
	rm -f $(TOOL) $(CURRYTOOL)
	cd $(BINDIR) && ln -s ../currytools/cpm/src/CPM.Main $(notdir $(TOOL))
	# install also cypm binary with Curry system as prefix:
	cd $(BINDIR) && ln -s $(notdir $(TOOL)) $(CURRYTOOL)

compile: src/CPM.Main

clean:
	rm -Rf src/CPM.Main src/.curry vendor/*/src/.curry

uninstall: clean
	rm -f $(TOOL) $(CURRYTOOL)

src/CPM.Main: src/CPM/ConfigPackage.curry $(DEPS)
	@echo Root location of Curry system: $(ROOT)
	@if [ ! -d "$(ROOT)" ] ; then echo "Error: not a valid directory!" ; exit 1; fi
	@export CURRYPATH="";						\
	for i in `ls vendor`; do 					\
		export CURRYPATH="$$CURRYPATH:`pwd`/vendor/$$i/src"; 	\
	done; 								\
	echo "Set CURRYPATH to $$CURRYPATH"; 				\
	cd src; $(REPL) --nocypm $(REPL_OPTS) :l CPM.Main :save :quit

src/CPM/ConfigPackage.curry: Makefile
	@echo "module CPM.ConfigPackage where" > $@
	@echo "packagePath :: String" >> $@
	@echo "packagePath = \"$(CURDIR)\"" >> $@
	@echo "packageVersion :: String" >> $@
	@echo "packageVersion = \"2.0.0\"" >> $@
	@echo "Curry configuration module '$@' written."

runtest:
	@export CURRYPATH="";						\
	for i in `ls vendor`; do					\
		export CURRYPATH="$$CURRYPATH:`pwd`/vendor/$$i/src";	\
	done;								\
	cd src; $(REPL) check CPM.Package CPM.Resolution CPM.LookupSet

.PHONY: doc
doc:
	@export CURRYPATH="";						\
	for i in `ls vendor`; do					\
		export CURRYPATH="$$CURRYPATH:`pwd`/vendor/$$i/src";	\
	done;								\
	export CURRYPATH="$$CURRYPATH:`pwd`/src"; \
	$(REPL) doc cdoc CPM.Main

.PHONY: manual
manual:
	pdflatex -output-directory=docs docs/manual.tex

=== debian/changelog ===
curry-tools (2.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:08:25 +0800

curry-tools (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Update versioned B for pakcs (to << 2.1.0~).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Jan 2019 13:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
 Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
 Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-tools
 Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-tools.git
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 
 Package: curry-tools-source
 Architecture: all
 Depends:
  ${misc:Depends},
-Breaks: pakcs (<< 2.0.2~),
+Breaks: pakcs (<< 2.1.0~),
 Description: Tools that are used by different Curry systems, like PAKCS or KiCS2
  PAKCS and KICS2 are two different implementations of the programming
  language Curry. Curry is a functional programming language being developed

## curry-tools 2.2.0

=== debian/changelog ===
curry-tools (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
    + Update versioned B for pakcs (to << 2.2.0~).
  * debian/upstream/metadata:
    + Fix flawed Repository-Browse: field.
    + Fix typo in Security-Contact: field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Nov 2019 10:24:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Michael Hanus <mh@informatik.uni-kiel.de>,
+Rules-Requires-Root: no
 Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
 Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-tools
 Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-tools.git
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 
 Package: curry-tools-source
 Architecture: all
 Depends:
  ${misc:Depends},
-Breaks: pakcs (<< 2.1.0~),
+Breaks: pakcs (<< 2.2.0~),
 Description: Tools that are used by different Curry systems, like PAKCS or KiCS2
  PAKCS and KICS2 are two different implementations of the programming
  language Curry. Curry is a functional programming language being developed
